/* Hey EMACS -*- linux-c -*- */
/* $Id: update.c 4392 2009-10-07 11:44:12Z kevin $ */

/*  libcalcprotocols - link protocol library, a part of the CalcForge project
 *  Copyright (C) 1999-2005  Romain Liévin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "calcprotocols.h"

static void calcprotocols_update_start(void)	{};
static void calcprotocols_update_stop(void)	{};
static void calcprotocols_update_refresh(void){};
static void calcprotocols_update_pbar(void)	{};
static void calcprotocols_update_label(void)	{};

CalcUpdate default_update =
{
	"", 0,
	0.0, 0, 0, 0, 0, 0, 0, (1 << 0), 0,
	calcprotocols_update_start,
	calcprotocols_update_stop,
	calcprotocols_update_refresh,
	calcprotocols_update_pbar,
	calcprotocols_update_label,
};
